Bug 1763837 - Registering RHEL-8 machine using bootstrap with --rex parameter fails with error 'TypeError: 'in <string>' requires string as left operand, not bytes'
Summary: Registering RHEL-8 machine using bootstrap with --rex parameter fails with er...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Bootstrap
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.7.0
Assignee: Evgeni Golov
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-21 17:39 UTC by Jayant Bhatia
Modified: 2020-07-27 12:35 UTC (History)
4 users (show)

Fixed In Version: katello-client-bootstrap-1.7.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-client-bootstrap pull 321 'None' closed BZ#1763837 - properly decode fetched ssh keys on Python3 2020-11-19 16:51:22 UTC
Red Hat Knowledge Base (Solution) 4596121 None None None 2019-11-19 12:57:24 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:12 UTC

Description Jayant Bhatia 2019-10-21 17:39:57 UTC
Description of problem:
Registering RHEL-8 machine with Satellite-6.5 using bootstrap script with --rex and --rex-user parameter fails with error 'TypeError: 'in <string>' requires string as left operand, not bytes'

Version-Release number of selected component (if applicable):
Satellite-6.5

How reproducible:
Always with RHEL-8 client

Steps to Reproduce:
Download the boostrap script for Satellite-6.5 on RHEL-8 client machine and execute it like below.

# /usr/libexec/platform-python bootstrap.py -l admin -s 'satellite.example.com' -o 'redhat' -L 'default_location' -g bootstrap -a Test_AK --rex --rex-user=root --unmanage --force  --skip puppet  --skip-foreman

Actual results:
The client gets successfully registered but fails at below step while installing Remote Execution SSH key for user

[SUCCESS], [2019-10-21 22:44:22], [/usr/bin/yum -y remove rhn-setup rhn-client-tools yum-rhn-plugin rhnsd rhn-check rhnlib spacewalk-abrt spacewalk-oscap osad 'rh-*-rhui-client' 'candlepin-cert-consumer-*'], completed successfully.
[NOTIFICATION], [2019-10-21 22:44:22], [Fetching Remote Execution SSH key from https://syssat65.gsslab.pnq2.redhat.com:9090/ssh/pubkey]
[NOTIFICATION], [2019-10-21 22:44:23], [Installing Remote Execution SSH key for user root]
Traceback (most recent call last):
  File "bootstrap.py", line 1563, in <module>
    install_ssh_key_from_url(remote_exec_url)
  File "bootstrap.py", line 674, in install_ssh_key_from_url
    install_ssh_key_from_string(foreman_ssh_key)
  File "bootstrap.py", line 708, in install_ssh_key_from_string
    if foreman_ssh_key in open(options.remote_exec_authpath, 'r').read():
TypeError: 'in <string>' requires string as left operand, not bytes

Comment 10 errata-xmlrpc 2020-04-14 13:26:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.